{% extends 'adminlte/lib/_scripts.html' %}

{% load staticfiles %}

{% block scripts %}
    {{ block.super }}

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jQuery-slimScroll/1.3.8/jquery.slimscroll.min.js"></script>

    <script>
        let links = {
            ajax_book_change_modal: "{% url 'library:ajax_book_change_modal' %}",
            ajax_genre_change_modal: "{% url 'library:ajax_genre_change_modal' %}",
            ajax_location_change_modal: "{% url 'library:ajax_location_change_modal' %}",
            ajax_subscription_change_modal: "{% url 'library:ajax_subscription_change_modal' %}",
            ajax_book_movement_change_modal: "{% url 'library:ajax_book_movement_change_modal' %}",
        };

        function getCookie(name) {
            let cookieValue = null;
            if (document.cookie && document.cookie !== '') {
                let cookies = document.cookie.split(';');
                for (let i = 0; i < cookies.length; i++) {
                    let cookie = jQuery.trim(cookies[i]);
                    if (cookie.substring(0, name.length + 1) === (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        function csrfSafeMethod(method) {
            // these HTTP methods do not require CSRF protection
            return (/^(GET|HEAD|OPTIONS|TRACE)$/.test(method));
        }

    </script>

{% endblock %}
